Bug 110579 - [CI][SHARDS] igt@kms_plane_cursor@pipe-[abc]-(overlay|viewport)-size-(64|128|256) - fail - Failed assertion: !mismatch
Summary: [CI][SHARDS] igt@kms_plane_cursor@pipe-[abc]-(overlay|viewport)-size-(64|128|...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Ville Syrjala
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-02 07:03 UTC by Martin Peres
Modified: 2019-09-30 13:12 UTC (History)
1 user (show)

See Also:
i915 platform: ICL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-05-02 07:03:24 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb1/igt@kms_plane_cursor@pipe-b-overlay-size-256.html

Starting subtest: pipe-B-overlay-size-256
(kms_plane_cursor:1846) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:419:
(kms_plane_cursor:1846) igt_debugfs-CRITICAL: Failed assertion: !mismatch

Introduced by:
09b25812db10 drm/i915: Enable pipe HDR mode on ICL if only HDR planes are used
9b11215e40c5 drm/i915: Flatten and rename haswell_set_pipemisc()
Comment 1 Martin Peres 2019-05-02 07:04:11 UTC
Assigning Ville, since he introduced the regression.
Comment 2 CI Bug Log 2019-05-02 07:04:29 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@kms_plane_cursor@pipe-[abc]-(overlay|viewport)-size-(64|128|256) - fail - Failed assertion: !mismatch
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/igt@kms_plane_cursor@pipe-a-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/igt@kms_plane_cursor@pipe-a-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/igt@kms_plane_cursor@pipe-b-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/igt@kms_plane_cursor@pipe-c-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/igt@kms_plane_cursor@pipe-a-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/igt@kms_plane_cursor@pipe-b-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/igt@kms_plane_cursor@pipe-c-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/igt@kms_plane_cursor@pipe-c-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/igt@kms_plane_cursor@pipe-b-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/igt@kms_plane_cursor@pipe-a-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-y/igt@kms_plane_cursor@pipe-a-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-y/igt@kms_plane_cursor@pipe-a-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-y/igt@kms_plane_cursor@pipe-c-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-y/igt@kms_plane_cursor@pipe-b-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-y/igt@kms_plane_cursor@pipe-b-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-y/igt@kms_plane_cursor@pipe-b-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-y/igt@kms_plane_cursor@pipe-c-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-y/igt@kms_plane_cursor@pipe-b-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb1/igt@kms_plane_cursor@pipe-b-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb2/igt@kms_plane_cursor@pipe-b-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb2/igt@kms_plane_cursor@pipe-c-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb3/igt@kms_plane_cursor@pipe-b-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb3/igt@kms_plane_cursor@pipe-a-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb3/igt@kms_plane_cursor@pipe-c-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb4/igt@kms_plane_cursor@pipe-a-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb4/igt@kms_plane_cursor@pipe-a-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb4/igt@kms_plane_cursor@pipe-c-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb5/igt@kms_plane_cursor@pipe-a-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb6/igt@kms_plane_cursor@pipe-a-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb6/igt@kms_plane_cursor@pipe-c-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb6/igt@kms_plane_cursor@pipe-b-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb6/igt@kms_plane_cursor@pipe-b-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb7/igt@kms_plane_cursor@pipe-a-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb8/igt@kms_plane_cursor@pipe-b-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12919/shard-iclb8/igt@kms_plane_cursor@pipe-c-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb1/igt@kms_plane_cursor@pipe-b-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb1/igt@kms_plane_cursor@pipe-a-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb1/igt@kms_plane_cursor@pipe-b-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb2/igt@kms_plane_cursor@pipe-b-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb3/igt@kms_plane_cursor@pipe-c-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb3/igt@kms_plane_cursor@pipe-a-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb4/igt@kms_plane_cursor@pipe-a-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb4/igt@kms_plane_cursor@pipe-a-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb4/igt@kms_plane_cursor@pipe-b-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb4/igt@kms_plane_cursor@pipe-c-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb4/igt@kms_plane_cursor@pipe-c-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb5/igt@kms_plane_cursor@pipe-b-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb5/igt@kms_plane_cursor@pipe-c-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb5/igt@kms_plane_cursor@pipe-b-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb6/igt@kms_plane_cursor@pipe-a-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb7/igt@kms_plane_cursor@pipe-a-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12921/shard-iclb8/igt@kms_plane_cursor@pipe-c-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb1/igt@kms_plane_cursor@pipe-c-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb2/igt@kms_plane_cursor@pipe-a-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb2/igt@kms_plane_cursor@pipe-b-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb2/igt@kms_plane_cursor@pipe-a-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb3/igt@kms_plane_cursor@pipe-c-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb3/igt@kms_plane_cursor@pipe-c-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb3/igt@kms_plane_cursor@pipe-b-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb4/igt@kms_plane_cursor@pipe-b-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb4/igt@kms_plane_cursor@pipe-b-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb5/igt@kms_plane_cursor@pipe-c-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb6/igt@kms_plane_cursor@pipe-a-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb6/igt@kms_plane_cursor@pipe-b-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb7/igt@kms_plane_cursor@pipe-b-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb7/igt@kms_plane_cursor@pipe-c-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4237/shard-iclb8/igt@kms_plane_cursor@pipe-a-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb1/igt@kms_plane_cursor@pipe-a-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb1/igt@kms_plane_cursor@pipe-a-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb2/igt@kms_plane_cursor@pipe-a-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb2/igt@kms_plane_cursor@pipe-c-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb4/igt@kms_plane_cursor@pipe-a-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb4/igt@kms_plane_cursor@pipe-b-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb5/igt@kms_plane_cursor@pipe-c-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb6/igt@kms_plane_cursor@pipe-a-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb6/igt@kms_plane_cursor@pipe-c-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb6/igt@kms_plane_cursor@pipe-b-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb7/igt@kms_plane_cursor@pipe-c-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb7/igt@kms_plane_cursor@pipe-a-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb8/igt@kms_plane_cursor@pipe-b-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb8/igt@kms_plane_cursor@pipe-c-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb8/igt@kms_plane_cursor@pipe-b-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb8/igt@kms_plane_cursor@pipe-b-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12920/shard-iclb8/igt@kms_plane_cursor@pipe-b-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb1/igt@kms_plane_cursor@pipe-b-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb2/igt@kms_plane_cursor@pipe-c-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb3/igt@kms_plane_cursor@pipe-c-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb3/igt@kms_plane_cursor@pipe-c-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb4/igt@kms_plane_cursor@pipe-a-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb5/igt@kms_plane_cursor@pipe-a-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb5/igt@kms_plane_cursor@pipe-c-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb5/igt@kms_plane_cursor@pipe-a-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb6/igt@kms_plane_cursor@pipe-a-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb6/igt@kms_plane_cursor@pipe-b-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb6/igt@kms_plane_cursor@pipe-b-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb7/igt@kms_plane_cursor@pipe-a-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb7/igt@kms_plane_cursor@pipe-b-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb7/igt@kms_plane_cursor@pipe-c-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb8/igt@kms_plane_cursor@pipe-b-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb8/igt@kms_plane_cursor@pipe-c-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6021/shard-iclb8/igt@kms_plane_cursor@pipe-b-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb1/igt@kms_plane_cursor@pipe-b-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb1/igt@kms_plane_cursor@pipe-a-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb2/igt@kms_plane_cursor@pipe-c-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb2/igt@kms_plane_cursor@pipe-a-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb2/igt@kms_plane_cursor@pipe-a-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb2/igt@kms_plane_cursor@pipe-b-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb2/igt@kms_plane_cursor@pipe-c-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb3/igt@kms_plane_cursor@pipe-a-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb4/igt@kms_plane_cursor@pipe-a-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb4/igt@kms_plane_cursor@pipe-c-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb4/igt@kms_plane_cursor@pipe-b-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb5/igt@kms_plane_cursor@pipe-b-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb5/igt@kms_plane_cursor@pipe-c-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb6/igt@kms_plane_cursor@pipe-c-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb6/igt@kms_plane_cursor@pipe-b-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb6/igt@kms_plane_cursor@pipe-a-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb8/igt@kms_plane_cursor@pipe-c-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2938/shard-iclb8/igt@kms_plane_cursor@pipe-b-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb1/igt@kms_plane_cursor@pipe-b-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb1/igt@kms_plane_cursor@pipe-b-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb2/igt@kms_plane_cursor@pipe-a-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb2/igt@kms_plane_cursor@pipe-a-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb2/igt@kms_plane_cursor@pipe-a-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb2/igt@kms_plane_cursor@pipe-c-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb4/igt@kms_plane_cursor@pipe-c-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb4/igt@kms_plane_cursor@pipe-a-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb5/igt@kms_plane_cursor@pipe-a-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb5/igt@kms_plane_cursor@pipe-c-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb5/igt@kms_plane_cursor@pipe-b-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb6/igt@kms_plane_cursor@pipe-b-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb6/igt@kms_plane_cursor@pipe-c-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb6/igt@kms_plane_cursor@pipe-b-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb7/igt@kms_plane_cursor@pipe-c-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_10/shard-iclb8/igt@kms_plane_cursor@pipe-c-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb1/igt@kms_plane_cursor@pipe-a-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb1/igt@kms_plane_cursor@pipe-c-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb2/igt@kms_plane_cursor@pipe-b-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb2/igt@kms_plane_cursor@pipe-b-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb3/igt@kms_plane_cursor@pipe-b-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb3/igt@kms_plane_cursor@pipe-b-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb4/igt@kms_plane_cursor@pipe-a-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb4/igt@kms_plane_cursor@pipe-b-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb5/igt@kms_plane_cursor@pipe-a-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb5/igt@kms_plane_cursor@pipe-c-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb5/igt@kms_plane_cursor@pipe-a-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb5/igt@kms_plane_cursor@pipe-c-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb5/igt@kms_plane_cursor@pipe-a-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb6/igt@kms_plane_cursor@pipe-a-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb7/igt@kms_plane_cursor@pipe-c-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4239/shard-iclb8/igt@kms_plane_cursor@pipe-b-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb1/igt@kms_plane_cursor@pipe-a-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb1/igt@kms_plane_cursor@pipe-c-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb1/igt@kms_plane_cursor@pipe-b-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb2/igt@kms_plane_cursor@pipe-c-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb2/igt@kms_plane_cursor@pipe-a-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb3/igt@kms_plane_cursor@pipe-a-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb3/igt@kms_plane_cursor@pipe-a-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb4/igt@kms_plane_cursor@pipe-c-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb4/igt@kms_plane_cursor@pipe-a-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb5/igt@kms_plane_cursor@pipe-a-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb6/igt@kms_plane_cursor@pipe-b-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb6/igt@kms_plane_cursor@pipe-c-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb6/igt@kms_plane_cursor@pipe-b-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb6/igt@kms_plane_cursor@pipe-b-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb7/igt@kms_plane_cursor@pipe-c-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb7/igt@kms_plane_cursor@pipe-b-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6020/shard-iclb7/igt@kms_plane_cursor@pipe-b-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb1/igt@kms_plane_cursor@pipe-c-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb2/igt@kms_plane_cursor@pipe-b-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb3/igt@kms_plane_cursor@pipe-a-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb3/igt@kms_plane_cursor@pipe-c-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb4/igt@kms_plane_cursor@pipe-a-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb5/igt@kms_plane_cursor@pipe-a-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb5/igt@kms_plane_cursor@pipe-b-overlay-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb5/igt@kms_plane_cursor@pipe-b-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb6/igt@kms_plane_cursor@pipe-a-viewport-size-128.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb6/igt@kms_plane_cursor@pipe-c-overlay-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb6/igt@kms_plane_cursor@pipe-a-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb7/igt@kms_plane_cursor@pipe-a-overlay-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb7/igt@kms_plane_cursor@pipe-b-viewport-size-64.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb7/igt@kms_plane_cursor@pipe-c-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb8/igt@kms_plane_cursor@pipe-b-viewport-size-256.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4235/shard-iclb8/igt@kms_plane_cursor@pipe-c-viewport-size-64.html
Comment 3 Ville Syrjala 2019-05-02 18:37:44 UTC
Rock, meet hardplace. Gamma is fixed by the HDR_MODE bit but that means the crc from a hdr plane no longer matches the crc from a sdr/cursor plane. These tests all try to compare software rendered reference from the primary plane (which is a hdr plane) with hardware generated results from the cursor or sdr plane.

Unless there's yet another unknown chicken bit we can poke I don't think we can fix this if we want to keep HDR_MODE enabled. We might just have to change the tests to grab the reference using an sdr plane. That unfortunately means adding more platform specific knowledge to the tests :(
Comment 4 Ville Syrjala 2019-05-03 12:28:05 UTC
Wasn't hard to fix actually:
https://patchwork.freedesktop.org/series/60233/

Also cooked up a related igt change to detect the other regression fixed by the above i915 series:
https://patchwork.freedesktop.org/series/60234/
Comment 5 Ville Syrjala 2019-05-03 16:25:09 UTC
commit b7ffc4a839a553b07b34543684e79526f2ffecb8
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Thu May 2 23:06:07 2019 +0300

    drm/i915: Allow ICL pipe "HDR mode" when the cursor is visible
Comment 6 Lakshmi 2019-09-30 13:12:30 UTC
(In reply to Ville Syrjala from comment #5)
> commit b7ffc4a839a553b07b34543684e79526f2ffecb8
> Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
> Date:   Thu May 2 23:06:07 2019 +0300
> 
>     drm/i915: Allow ICL pipe "HDR mode" when the cursor is visible

This issue used to reproduce 100% till CI_DRM_6039 but not seen later. Current CI_DRM run is 6973, closing and archiving the issue.
Comment 7 CI Bug Log 2019-09-30 13:12:41 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.